Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.services
Class RemoteSOAPInvokerServiceFactory.WSDLLocatorImpl

    java.lang.Object
      org.jboss.portal.wsrp.services.RemoteSOAPInvokerServiceFactory.WSDLLocatorImpl

All Implemented Interfaces:
  javax.wsdl.xml.WSDLLocator

Enclosing class:
  RemoteSOAPInvokerServiceFactory

    public static class RemoteSOAPInvokerServiceFactory.WSDLLocatorImpl

extends java.lang.Object
implements javax.wsdl.xml.WSDLLocator

A WSDLLocator that can handle wsdl imports

Constructor Summary
`RemoteSOAPInvokerServiceFactory.WSDLLocatorImpl(java.net.URL wsdlFile)`

Method Summary
`void` | `close()`
`org.xml.sax.InputSource` | `getBaseInputSource()`
`java.lang.String` | `getBaseURI()`
`org.xml.sax.InputSource` | `getImportInputSource(java.lang.String parent, java.lang.String resource)`
`java.lang.String` | `getLatestImportURI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteSOAPInvokerServiceFactory.WSDLLocatorImpl

    public RemoteSOAPInvokerServiceFactory.WSDLLocatorImpl(java.net.URL wsdlFile)

Method Detail

### close

    public void close()

### getBaseInputSource

    public org.xml.sax.InputSource getBaseInputSource()

  Specified by:
    `getBaseInputSource` in interface `javax.wsdl.xml.WSDLLocator`

### getBaseURI

    public java.lang.String getBaseURI()

  Specified by:
    `getBaseURI` in interface `javax.wsdl.xml.WSDLLocator`

### getImportInputSource

    public org.xml.sax.InputSource getImportInputSource(java.lang.String parent,
                                                        java.lang.String resource)

  Specified by:
    `getImportInputSource` in interface `javax.wsdl.xml.WSDLLocator`

### getLatestImportURI

    public java.lang.String getLatestImportURI()

  Specified by:
    `getLatestImportURI` in interface `javax.wsdl.xml.WSDLLocator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD